From 86759a64439d806e938a816b483d2f08a31e357e Mon Sep 17 00:00:00 2001
From: Konstantin Oblaukhov <oblaukhov.konstantin@gmail.com>
Date: Wed, 26 Apr 2023 21:51:54 +0700
Subject: [PATCH 12/13] Fix FD788 passthrough.

---
 forward-passthrough/forward-passthrough-fd722.c |  6 ++----
 forward-passthrough/forward-passthrough-fd788.c | 12 +++++-------
 2 files changed, 7 insertions(+), 11 deletions(-)

diff --git a/forward-passthrough/forward-passthrough-fd722.c b/forward-passthrough/forward-passthrough-fd722.c
index 1db7cd1..6595bbd 100644
--- a/forward-passthrough/forward-passthrough-fd722.c
+++ b/forward-passthrough/forward-passthrough-fd722.c
@@ -317,7 +317,7 @@ static void fd722_configure_genlock(struct forward_passthrough_io *io, bool anal
 		int input = 0;
 		if (analog)
 			input = 0;
-		else 
+		else
 			input = io->in_index ? 2 : 1;
 		pll->ops->select_input(pll, input, false, true);
 		pll->ops->calibrate(pll);
@@ -334,9 +334,7 @@ static void fd722_configure_genlock(struct forward_passthrough_io *io, bool anal
 			// Wait for input
 			do {
 				msleep(100);
-				cs = FD722_VideoInCS_R(
-					io->pass->dev->csr,
-					io->in_index ? 1 : 0);
+				cs = FD722_VideoInCS_R(io->pass->dev->csr, io->in_index ? 1 : 0);
 				count++;
 			} while ((!cs.modeLocked) && (count < 100));
 
diff --git a/forward-passthrough/forward-passthrough-fd788.c b/forward-passthrough/forward-passthrough-fd788.c
index 0ce7224..c72a769 100644
--- a/forward-passthrough/forward-passthrough-fd788.c
+++ b/forward-passthrough/forward-passthrough-fd788.c
@@ -255,7 +255,7 @@ static void fd788_configure_io(struct forward_passthrough_io *io)
 }
 
 static void fd788_configure_genlock(struct forward_passthrough_io *io, bool analog)
-{	
+{
 	struct forward_passthrough *pass = io->pass;
 	struct forward_pll *pll = pass->dev->pll;
 	FD788_SyncGenerator sg = { 0 };
@@ -295,7 +295,7 @@ static void fd788_configure_genlock(struct forward_passthrough_io *io, bool anal
 		int input = 0;
 		if (analog)
 			input = 0;
-		else 
+		else
 			input = io->in_index ? 2 : 1;
 		pll->ops->select_input(pll, input, false, true);
 		pll->ops->calibrate(pll);
@@ -312,9 +312,7 @@ static void fd788_configure_genlock(struct forward_passthrough_io *io, bool anal
 			// Wait for input
 			do {
 				msleep(100);
-				cs = FD788_VideoInCS_R(
-					io->pass->dev->csr,
-					io->in_index ? 1 : 0);
+				cs = FD788_VideoInCS_R(io->pass->dev->csr, io->in_index ? 1 : 0);
 				count++;
 			} while ((!cs.modeLocked) && (count < 100));
 
@@ -346,10 +344,10 @@ static void fd788_configure_genlock(struct forward_passthrough_io *io, bool anal
 
 	for (i = 0; i < pass->ops->num_io; i++) {
 		struct forward_passthrough_io *o = &pass->io[i];
-		FD788_VideoOutCS cs = FD788_VideoOutCS_R(pass->dev->csr, (o->out_index - 2));
+		FD788_VideoOutCS cs = FD788_VideoOutCS_R(pass->dev->csr, o->out_index);
 		cs.syncSource = 0;
 		cs.freeRunning = 0;
-		FD788_VideoOutCS_W(pass->dev->csr, (o->out_index - 2), cs);
+		FD788_VideoOutCS_W(pass->dev->csr, o->out_index, cs);
 	}
 }
 
-- 
2.39.1


